
![Logo](https://miracocopepsi.com/adpluginx.png)


# AdPluginX

Smart way to maintain in app ads like google,unity,ironsource
and facebook


## API Reference

#### Step 1:

```http
  Add adpluginx: <latest version>
```

#### Step 2:

```http
  Flutter pub get
```

#### Step 3:

```http
  Open IOS Pod File and Add Configuration
```
[google_mobile_ads](https://pub.dev/packages/google_mobile_ads)

[unity_mediation](https://pub.dev/packages/unity_mediation)

[ironsource_mediation](https://pub.dev/packages/ironsource_mediation)

#### Step 4:

```http
  Wrap your Material Widget with ProviderHelper
```
#### Example

```dart
 ProviderHelper(
      child: MaterialApp(
        title: 'Flutter Demo',
        initialRoute: SplashScreen.route,
        themeMode: ThemeMode.system,
        onGenerateRoute: r.Router.onRouteGenrator,
        theme: ThemeData(primarySwatch: Colors.green, useMaterial3: true),
      ),
  );
```

#### Step 5:

```http
 Now Init Plugin
```
#### Example

```dart
 adPluginX.initAdPluginX(
        context,
        response.data['adIds'],
        response.data[App.appVersion]['globalClick'],
        response.data[App.appVersion]['globalFail'],
        response.data[App.appVersion]['screens'],
        isAdsOn: response.data[App.appVersion]['isAdsOn'],
        setMaxCount: response.data[App.appVersion]['maxAdFailCounter'],
    );
```

| Parameter | Type     | Description / Default                      |
| :-------- | :------- | :-------------------------------- |
|`context`| `BuildContext`| **Required**. |
|`adIds`| `Map`| **Required**. |
|`globalClick`| `List` | **Required**. |
|`globalFail`| `Map` | **Required**. |
|`screens`| `Map` | **Required**. |
|`isAdsOn`| `bool` | **false**. |
|`setMaxCount`| `int` | **3**. |

#### Step 6:
#### To Show Loader Wrap Current Screen or Widget with AdOverlayX Widget
```http
 AdOverlayX Takes child as arugment
```

#### Step 7:
#### To Call Ads with Plugin Simply Use Default Classes
```dart
adNavigator(context,routeName);

adNavigatorPushReplacement(context,routeName);

adCallerClick(context,action);
```


#### That's it now we have to just make sure ios and android side plugin configurations.


#### Json Struture For


#### adsId
```json
"adIds":{
    "google":{
        "fullScreen":""
    },
    "unity":{
        "placementId":"",
        "gameId":""
    },
    "facebook":{
        "fullScreen":""
    },
    "ironSource":{
        "appId":""
    }
}
```

####  Clicks
```json
"globalClick":[0,1,2,3]

/// Here This int Represent
/// 0 = Google
/// 1 = Unity
/// 2 = IronSource
/// 3 = Facebook
```

#### Fail
```json
"globalClick":{"0": 1, "1": 2, "2": 3, "3": 0}
```

#### screens
```json
{
    "routeName":{
      "localAdFlag":true,
      "localClick": [0,1],
      "localFail": {"0": 1, "1": 2, "2": 3, "3": 0}
    }
}
```

## Authors

- [@CoderRb123](https://github.com/CoderRb123)


## License

[MIT](https://choosealicense.com/licenses/mit/)


