import 'package:adpluginx/AdPlugin/AdEngine.dart';
import 'package:adpluginx/Widgets/update_diablog.dart';
import 'package:adpluginx_example/Screens/SecondScreen.dart';
import 'package:adpluginx_example/utils/App.dart';
import 'package:flutter/material.dart';

import 'package:adpluginx/Widgets/AdOverlayX.dart';

class MainScreen extends StatefulWidget {
  static const route = "/";

  const MainScreen({Key? key}) : super(key: key);

  @override
  State<MainScreen> createState() => _MainScreenState();
}

class _MainScreenState extends State<MainScreen> {
  @override
  void initState() {
    Future.microtask(() => App.adPluginX.checkUpdate(context));
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return AdOverlayX(
      child: Scaffold(
        appBar: AppBar(
          title: const Text(
            "Ads Demo",
          ),
        ),
        body: Center(
          child: Column(
            children: [
              Expanded(
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: <Widget>[
                    const Text(
                      'You have pushed the button this many times:',
                    ),
                    App.adPluginX.getNative(context)
                  ],
                ),
              ),
              App.adPluginX.getBanner(context),
            ],
          ),
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: () {
            App.adPluginX.adNavigator(context, SecondScreen.route);
          },
          tooltip: 'Increment',
          child: const Icon(Icons.add),
        ), // This trailing comma makes auto-formatting nicer for build methods.
      ),
    );
  }
}
