import 'package:adpluginx_example/Screens/MainScreen.dart';
import 'package:adpluginx_example/Screens/SplashScreen.dart';
import 'package:flutter/material.dart';
import './routes/router.dart' as r;
import 'package:adpluginx/Widgets/ProviderHelper.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ProviderHelper(
      child: MaterialApp(
        title: 'Flutter Demo',
        initialRoute: SplashScreen.route,
        themeMode: ThemeMode.system,
        onGenerateRoute: r.Router.onRouteGenrator,
        theme: ThemeData(primarySwatch: Colors.green, useMaterial3: true),
      ),
    );
  }
}
