import 'package:flutter/material.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';

class AdmobBannerX extends StatefulWidget {
  final String id;
  const AdmobBannerX({Key? key, required this.id}) : super(key: key);

  @override
  State<AdmobBannerX> createState() => _AdmobBannerXState();
}

class _AdmobBannerXState extends State<AdmobBannerX> {
  BannerAd? myBanner;
  bool isLoading = true;
  bool isFailed = true;
  AdWidget? adWidget;

  @override
  void initState() {
    // AdEngine adEngine = Provider.of<AdEngine>(context, listen: false);
    myBanner = BannerAd(
      adUnitId: widget.id,
      size: AdSize.banner,
      request: const AdRequest(),
      listener: BannerAdListener(
        onAdLoaded: (ad) {
          if (mounted) {
            setState(() {
              isLoading = false;
              isFailed = false;
            });
          }
        },
        onAdFailedToLoad: (ad, error) {
          if (mounted) {
            setState(() {
              isLoading = false;
              isFailed = true;
            });
          }
        },
      ),
    );
    myBanner!.load();
    adWidget = AdWidget(ad: myBanner!);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return isFailed
        ? const SizedBox(
            height: 0,
            width: 0,
          )
        : isLoading
            ? const SizedBox(
                height: 0,
                width: 0,
              )
            : Container(
                alignment: Alignment.center,
                width: myBanner!.size.width.toDouble(),
                height: myBanner!.size.height.toDouble(),
                child: adWidget,
              );
  }
}
