import 'package:adpluginx/utils/LoggerX.dart';
import 'package:flutter/material.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';

class AdmobFullScreenX {
  InterstitialAd? _interstitialAd;

  initAdMob(BuildContext context) async {
    await MobileAds.instance.initialize();
  }

  showGoogleFullScreenAds(String adUnit,
      {Function? onComplete, Function? onFailed}) {
    InterstitialAd.load(
      adUnitId: adUnit,
      request: const AdRequest(),
      adLoadCallback: InterstitialAdLoadCallback(
        onAdLoaded: (InterstitialAd ad) {
          LoggerX.printSuccess('Google Ad Loaded loaded');
          _interstitialAd = ad;
          _interstitialAd!.fullScreenContentCallback =
              FullScreenContentCallback(
            onAdShowedFullScreenContent: (InterstitialAd ad) {
              LoggerX.printSuccess('ad onAdShowedFullScreenContent.');
            },
            onAdDismissedFullScreenContent: (InterstitialAd ad) {
              LoggerX.printInformation('$ad onAdDismissedFullScreenContent.');
              if (onComplete != null) onComplete();
              ad.dispose();
            },
            onAdFailedToShowFullScreenContent:
                (InterstitialAd ad, AdError error) {
              LoggerX.printError(
                  '$ad onAdFailedToShowFullScreenContent: $error');
              if (onFailed != null) onFailed();
              ad.dispose();
            },
          );
          _interstitialAd!.show();
        },
        onAdFailedToLoad: (LoadAdError error) {
          LoggerX.printError('InterstitialAd failed to load: $error.');
          _interstitialAd = null;
          if (onFailed != null) onFailed();
        },
      ),
    );
  }
}
