import 'package:adpluginx/utils/LoggerX.dart';
import 'package:flutter/material.dart';
import 'package:ironsource_mediation/ironsource_mediation.dart';

class IronSourceBannerX extends StatefulWidget {
  const IronSourceBannerX({Key? key}) : super(key: key);

  @override
  State<IronSourceBannerX> createState() => _IronSourceBannerXState();
}

class _IronSourceBannerXState extends State<IronSourceBannerX>
    with IronSourceBannerListener {
  @override
  void initState() {
    IronSource.loadBanner(
        size: IronSourceBannerSize.BANNER,
        position: IronSourceBannerPosition.Bottom);
    IronSource.displayBanner();
    super.initState();
  }

  @override
  void dispose() {
    IronSource.destroyBanner();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return const SizedBox();
  }

  @override
  void onBannerAdClicked() {
    // TODO: implement onBannerAdClicked
  }

  @override
  void onBannerAdLeftApplication() {
    // TODO: implement onBannerAdLeftApplication
  }

  @override
  void onBannerAdLoadFailed(IronSourceError error) {
    // TODO: implement onBannerAdLoadFailed
    LoggerX.printError("Ironsource Banner Failed ${error.message!}");
  }

  @override
  void onBannerAdLoaded() {
    // TODO: implement onBannerAdLoaded
    LoggerX.printSuccess("Ironsource Banner Loaded");
  }

  @override
  void onBannerAdScreenDismissed() {
    // TODO: implement onBannerAdScreenDismissed
  }

  @override
  void onBannerAdScreenPresented() {
    // TODO: implement onBannerAdScreenPresented
  }
}
