import 'package:adpluginx/utils/LoggerX.dart';
import 'package:unity_mediation/unity_mediation.dart';

class UnityFullScreenX {
  initUnity(String gameId, {Function? onInitComplete, Function? onInitFailed}) {
    UnityMediation.initialize(
      gameId: gameId,
      onComplete: () {
        LoggerX.printSuccess("Unity Init SuccessFull with GameId $gameId");
        if (onInitComplete != null) onInitComplete();
      },
      onFailed: (error, message) {
        LoggerX.printError('Initialization Failed: $error $message');
        if (onInitFailed != null) onInitFailed();
      },
    );
  }

  showUnityAds(String adUnit, {Function? onComplete, Function? onFailed}) {
    UnityMediation.loadInterstitialAd(
      adUnitId: adUnit,
      onComplete: (adUnitId) {
        LoggerX.printSuccess('Interstitial Ad Load Complete $adUnitId');
        UnityMediation.showInterstitialAd(
            adUnitId: adUnit,
            onClosed: (_) {
              if (onComplete != null) onComplete();
            },
            onFailed: (_, p, q) {
              if (onFailed != null) onFailed();
            });
      },
      onFailed: (adUnitId, error, message) {
        LoggerX.printError(
            'Interstitial Ad Load Failed $adUnitId: $error $message');
        if (onFailed != null) onFailed();
      },
    );
  }
}
