// This file is "main.dart"
import 'package:adpluginx/Models/Ads/Facebook/FacebookIdsModel.dart';
import 'package:adpluginx/Models/Ads/Google/GoogleIdsModel.dart';
import 'package:adpluginx/Models/Ads/IronSource/IronSourceIdsModel.dart';
import 'package:adpluginx/Models/Ads/Unity/UnityIdsModel.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

// required: associates our `main.dart` with the code generated by Freezed
part 'AdIds.freezed.dart';
part 'AdIds.g.dart';
// optional: Since our Person class is serializable, we must add this line.
// But if Person was not serializable, we could skip it.

@freezed
 class AdIds with _$AdIds {
  const factory AdIds({
    required GoogleIdsModel google,
    required UnityIdsModel unity,
    required IronSourceIdsModel ironSource,
    required FacebookIdsModel facebookIdsModel,
  }) = _AdIds;

  factory AdIds.fromJson(Map<String, Object?> json)
  => _$AdIdsFromJson(json);
}