// This file is "main.dart"
import 'package:freezed_annotation/freezed_annotation.dart';

// required: associates our `main.dart` with the code generated by Freezed
part 'ConfigModel.freezed.dart';
part 'ConfigModel.g.dart';

// optional: Since our Person class is serializable, we must add this line.
// But if Person was not serializable, we could skip it.

@freezed
class ConfigModel with _$ConfigModel{
  const factory ConfigModel({
    required bool? isAdsOn,
    required  int? maxAdFailCounter,
    required List? globalClick,
    required Map? globalFail,
    required Map? screens,
  }) = _ConfigModel;

  factory ConfigModel.fromJson(Map<String, Object?> json) =>
      _$ConfigModelFromJson(json);
}
