import 'package:adpluginx/AdPlugin/AdEngine.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class AdOverlayX extends StatelessWidget {
  final Widget child;

  const AdOverlayX({Key? key, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    AdEngine adEngine = Provider.of<AdEngine>(context);
    return Stack(
      fit: StackFit.expand,
      children: [
        child,
        adEngine.isLoading
            ? Container(
                height: MediaQuery.of(context).size.height,
                width: MediaQuery.of(context).size.width,
                color: Colors.black.withOpacity(0.1),
                child: const Center(child: CircularProgressIndicator()),
              )
            : const SizedBox(
                height: 0,
                width: 0,
              ),
      ],
    );
  }
}
