import 'package:adpluginx/AdPlugin/AdCore.dart';
import 'package:adpluginx/AdPlugin/AdEngine.dart';
import 'package:adpluginx/Models/Ads/Google/GoogleIdsModel.dart';
import 'package:adpluginx/Models/MainModel.dart';
import 'package:adpluginx/Widgets/g_native.dart';
import 'package:adpluginx/Widgets/update_diablog.dart';
import 'package:adpluginx/utils/LoggerX.dart';
import 'package:flutter/widgets.dart';
import 'package:provider/provider.dart';

import 'adpluginx_platform_interface.dart';

class Adpluginx {
  AdEngine getAdEngine(BuildContext context, bool listen) {
    return Provider.of<AdEngine>(context, listen: listen);
  }

  initBanners() {}

  initAdPluginX(
    BuildContext context,
    MainModel mainModel,
    Map adsId,
    List globalClick,
    Map globalFails,
    int globalBanner,
    Map screens, {
    bool isAdsOn = false,
    int setMaxCount = 3,
    required bool isUpdate,
    required String updateUrl,
  }) {
    AdCore.init(context, mainModel, adsId, globalClick, globalFails,
        globalBanner, screens,
        isAdsOn: isAdsOn,
        setMaxCount: setMaxCount,
        isUpdate: isUpdate,
        updateUrl: updateUrl);
  }

  getNative(
    BuildContext context, {
    double? height,
  }) {
    AdEngine adEngine = Provider.of<AdEngine>(context, listen: false);
    return adEngine.getNative(height: height);
  }

  adCallerClick(BuildContext context, Function action) {
    AdEngine adEngine = Provider.of<AdEngine>(context, listen: false);
    AdCore.callAds(context, () {
      action();
      adEngine.setClickOnceOff();
    });
  }

  checkUpdate(BuildContext context) {
    AdEngine adEngine = Provider.of<AdEngine>(context, listen: false);
    if (adEngine.isUpdate) {
      UpdateDialog.showDialog(context, adEngine.updateLink);
    }
  }

  Widget getBanner(BuildContext context) {
    return AdCore.getBanner(context);
  }

  adNavigator(BuildContext context, String namedRoute, {Map? arguments}) {
    AdCore.navigator(context, namedRoute, arguments: arguments);
  }

  adNavigatorPushReplacement(BuildContext context, String namedRoute,
      {Map? arguments}) {
    AdCore.navigatorPushedReplacement(context, namedRoute,
        arguments: arguments);
  }

  Future<String?> getPlatformVersion() {
    return AdpluginxPlatform.instance.getPlatformVersion();
  }
}
