import 'package:flutter_test/flutter_test.dart';
import 'package:adpluginx/adpluginx.dart';
import 'package:adpluginx/adpluginx_platform_interface.dart';
import 'package:adpluginx/adpluginx_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAdpluginxPlatform 
    with MockPlatformInterfaceMixin
    implements AdpluginxPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AdpluginxPlatform initialPlatform = AdpluginxPlatform.instance;

  test('$MethodChannelAdpluginx is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAdpluginx>());
  });

  test('getPlatformVersion', () async {
    Adpluginx adpluginxPlugin = Adpluginx();
    MockAdpluginxPlatform fakePlatform = MockAdpluginxPlatform();
    AdpluginxPlatform.instance = fakePlatform;
  
    expect(await adpluginxPlugin.getPlatformVersion(), '42');
  });
}
